Toggle Template Favorite
curl --request POST \
--url https://api.decodahealth.com/notes/templates/{note_template_id}/favorite \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/notes/templates/{note_template_id}/favorite"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/notes/templates/{note_template_id}/favorite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"sections": [],
"questions": [],
"userIds": [
"<string>"
],
"isFavorited": false,
"expiryDays": 123,
"visibleToPatient": false,
"patientVisibleQuestionOrder": [
"<string>"
],
"showSummaryInPatientView": false,
"superbillEnabled": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Note Templates
Toggle Template Favorite
Toggle the favorite status of a note template for the current user.
POST
/
notes
/
templates
/
{note_template_id}
/
favorite
Toggle Template Favorite
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
